Skip to main content
GET
/
v1
/
tasks
/tasks
curl --request GET \
  --url https://api.linkup.so/v1/tasks \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.linkup.so/v1/tasks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.linkup.so/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "metadata": {
    "page": 123,
    "pageSize": 123,
    "total": 123,
    "totalPages": 123
  },
  "data": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "error": "<string>",
      "id": "01234-abcd-56789",
      "status": "completed",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "input": {
        "q": "What is Microsoft's 2024 revenue?",
        "excludeDomains": [
          "wikipedia.org"
        ],
        "fromDate": "2025-01-01",
        "includeDomains": [
          "microsoft.com",
          "agolution.com"
        ],
        "structuredOutputSchema": null,
        "toDate": "2025-01-01",
        "includeImages": false,
        "includeInlineCitations": false,
        "includeSources": false,
        "maxResults": 5
      },
      "output": {
        "answer": "Microsoft's revenue for fiscal year 2024 was $245.1 billion, reflecting a 16% increase from the previous year.",
        "sources": [
          {
            "name": "Microsoft 2024 Annual Report",
            "snippet": "Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.",
            "url": "https://www.microsoft.com/investor/reports/ar24/index.html"
          }
        ]
      },
      "type": "<string>"
    }
  ],
  "quota": {
    "inFlight": 4503599627370495,
    "limit": 123
  }
}

Get your API key

Create a Linkup account for free to get your API key.
This endpoint only retrieves data from existing tasks. It does not create a new task. To create a new task, use POST /tasks.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

type
enum<string>[]
Available options:
extract,
fetch,
research,
search
status
enum<string>[]
Available options:
completed,
failed,
pending,
processing
page
integer
default:1
Required range: x >= 1
pageSize
integer
default:10
Required range: 1 <= x <= 100
sortBy
enum<string>
Available options:
createdAt,
updatedAt
sortDirection
enum<string>
default:asc
Available options:
asc,
desc

Response

Paginated list of tasks.

metadata
object
required
data
object[]
required
quota
object
required